class OFPEC_AirPortSelector
{
   idd = -1;
   movingEnable = true;
   onLoad = "[""onLoad"", _this] call ofpec_AirportEvents";
   class controls 
   {
      class OFPEC_AIRPORTBACKGROUND
      {
	     idc = -1;
             type = 0;
             colorText[] = {1, 1, 1, 1};
             font = "Bitstream";
	     colorBackground[] = {0, 0, 1, 0.5};
	     text = ;
	     style = 128;
	     sizeEx = 0.015;
	     x = 0.4;
	     y = 0.4;
	     w = 0.2;
	     h = 0.2 + 0.025*3 + 0.2;
      };

      class OFPEC_AIRPORTLIST
      {
        type = 5;
        style = 0;
 	idc = 108;

	x   = 0.405;
	y   = 0.4+0.005;
  	w   = 0.19;
  	h   = 0.2;

        colorSelect[] = {0, 1.0, 0, 1};
        colorSelectBackground[] = {0.4, 0.4, 0.4, 0.4};
        colorText[] = {0.2, 0.85, 0, 1};
        colorBackground[] = {0.0, 0.0, 1.0, 0.8};
        font = "Bitstream";
        sizeEx = 0.02;
        rowHeight = 0.03;
        soundSelect[] = {"", 0.1, 1};
      };

      class OFPEC_ACTIVATEILS
      {
        type = 1;
        idc = -1;
        style = 2;

	x   = 0.405;
  	y   = 0.4+0.22;
  	w   = 0.08;
  	h   = 0.04;

        sizeEx = 0.02;
  	text = "Activate ILS";
  	action = "[""OFPEC_ACTIVATEILS"", []] call ofpec_AirportEvents";
	access = ReadAndWrite;
        colorText[] = {0, 0, 0, 1};
        font = "Bitstream";
        soundPush[] = {, 0.2, 1};
        soundClick[] = {"ui\ui_ok", 0.2, 1};
        soundEscape[] = {"ui\ui_cc", 0.2, 1};
        default = false;
        colorDisabled[] = {0.3, 0.3, 0.3, 1};
        colorBackground[] = {0.6, 0.6, 0.6, 0.9};
        colorBackgroundActive[] = {0.8,0.8,0.8,0.9};
        colorBackgroundDisabled[] = {0.6, 0.6, 0.6, 1};
        colorFocused[] = {0,0,0,1};
        colorShadow[] = {0,0,0,0.1};
        colorBorder[] = {0,0,0,1};
        offsetX = 0.004;
        offsetY = 0.004;
        offsetPressedX = 0.002;
        offsetPressedY = 0.002;
	soundEnter[] = {"ui\ui_ok", 0.2, 1};
        borderSize = 0.0;
      };


      class OFPEC_CLOSESELECTOR
      {
        type = 1;
        idc = -1;
        style = 2;

	x   = 0.515;
  	y   = 0.4+0.22;
  	w   = 0.08;
  	h   = 0.04;

        sizeEx = 0.02;
  	text = "Cancel";
  	action = "[""OFPEC_CLOSESELECTOR"", []] call ofpec_AirportEvents";
	access = ReadAndWrite;
        colorText[] = {0, 0, 0, 1};
        font = "Bitstream";
        soundPush[] = {, 0.2, 1};
        soundClick[] = {"ui\ui_ok", 0.2, 1};
        soundEscape[] = {"ui\ui_cc", 0.2, 1};
        default = false;
        colorDisabled[] = {0.3, 0.3, 0.3, 1};
        colorBackground[] = {0.6, 0.6, 0.6, 0.9};
        colorBackgroundActive[] = {0.8,0.8,0.8,0.9};
        colorBackgroundDisabled[] = {0.6, 0.6, 0.6, 1};
        colorFocused[] = {0,0,0,1};
        colorShadow[] = {0,0,0,0.1};
        colorBorder[] = {0,0,0,1};
        offsetX = 0.004;
        offsetY = 0.004;
        offsetPressedX = 0.002;
        offsetPressedY = 0.002;
	soundEnter[] = {"ui\ui_ok", 0.2, 1};
        borderSize = 0.0;
      };

      class OFPEC_AIRPORTMAP 
      {
	     idc = 109;

             access = 0;
             type = 101;
	     style = 48;


             x = 0.5-0.1+0.005;
             y = 0.4 + 0.2 + 0.025*3;
             w = 0.19;
             h = 0.19;

     
             sizeExLabel = 0.02;
             sizeExGrid = 0.02;
             sizeExUnits = 0.02;
             sizeExNames = 0.02;
             sizeExInfo = 0.02;
             sizeExLevel = 0.02;
             showCountourInterval = "false";			
             onMouseZChanged = "";
             onMouseButtonDown = "";


             colorBackground[] = {0, 0.7, 0, 1};
             colorSea[] = {0, 0.3, 0, 0.5};
             colorForest[] = {0, 0.8, 0, 0.5};
             colorRocks[] = {0, 0.5, 0, 0.5};
             colorCountlines[] = {0, 0.45, 0, 0.5};
             colorMainCountlines[] = {0, 0.45, 0, 1};
             colorCountlinesWater[] = {0, 0.53, 0, 0.5};
             colorMainCountlinesWater[] = {0, 0.53, 0, 1};
             colorForestBorder[] = {0, 0.8, 0, 1};
             colorRocksBorder[] = {0, 0.5, 0, 1};
             colorPowerLines[] = {0, 0, 0, 1};
             colorNames[] = {0, 0, 0, 1};
             colorInactive[] = {1, 1, 1, 0.5};
             colorLevels[] = {0, 0, 0, 1};

             colorText[] = {0, 0, 0, 1};
	     font = "TahomaB";
	     sizeEx = 0.04;



	     fontLabel = "Zeppelin32";
	     fontGrid = "Zeppelin32";
	     fontUnits = "Zeppelin32";
	     fontNames = "Zeppelin32";
	     fontInfo = "Zeppelin32";
	     fontLevel = "Zeppelin32";
	     text = "#(argb,8,8,3)color(1,1,1,1)";
	     stickX[] = {0.2, {"Gamma", 1, 1.5}};
	     stickY[] = {0.2, {"Gamma", 1, 1.5}};
	     ptsPerSquareSea = 6;
	     ptsPerSquareTxt = 8;
	     ptsPerSquareCLn = 8;
	     ptsPerSquareExp = 8;
	     ptsPerSquareCost = 8;
	     ptsPerSquareFor = "4.0f";
	     ptsPerSquareForEdge = "10.0f";
	     ptsPerSquareRoad = 2;
	     ptsPerSquareObj = 10;
	
           class Command 
           { 
              icon = "#(argb,8,8,3)color(1,1,1,1)";
              color[] = {0, 0, 0, 1};
              size = 18;
	      importance = 1;
              coefMin = 1;
  	      coefMax = 1;
           };

           class ActiveMarker
           {
	        color[] = {0, 0.1, 0, 1};
        	size = 50;
           };


           class Bunker 
           {
		icon = "\ca\ui\data\map_bunker_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 1.5 * 14 * 0.05;
		coefMin = 0.25;
		coefMax = 4;
	   };
	
	class Bush 
        {
		icon = "\ca\ui\data\map_bush_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 0.2 * 14 * 0.05;
		coefMin = 0.25;
		coefMax = 4;
	};
	
	class BusStop 
        {
		icon = "\ca\ui\data\map_busstop_ca.paa";
		color[] = {0, 0, 1, 1};
		size = 10;
		importance = 1 * 10 * 0.05;
		coefMin = 0.25;
		coefMax = 4;
	};
	
	class Cross 
        {
		icon = "\ca\ui\data\map_cross_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 0.7 * 16 * 0.05;
		coefMin = 0.25;
		coefMax = 4;
	};
	
	class Fortress 
        {
		icon = "\ca\ui\data\map_bunker_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 2 * 16 * 0.05;
		coefMin = 0.25;
		coefMax = 4;
	};
	
	 class Fuelstation 
         {
		icon = "\ca\ui\data\map_fuelstation_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 2 * 16 * 0.05;
		coefMin = 0.75;
		coefMax = 4;
	 };
	
	 class Fountain 
         {
		icon = "\ca\ui\data\map_fountain_ca.paa";
		color[] = {0, 0.35, 0.7, 1};
		size = 12;
		importance = 1 * 12 * 0.05;
		coefMin = 0.25;
		coefMax = 4;
	 };
	
	 class Hospital 
         {
		icon = "\ca\ui\data\map_hospital_ca.paa";
		color[] = {0.78, 0, 0.05, 1};
		size = 16;
		importance = 2 * 16 * 0.05;
		coefMin = 0.5;
		coefMax = 4;
	 };
	
	 class Chapel 
         {
		icon = "\ca\ui\data\map_chapel_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 1 * 16 * 0.05;
		coefMin = 0.9;
		coefMax = 4;
	 };
	
	 class Church 
         {
		icon = "\ca\ui\data\map_church_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 2 * 16 * 0.05;
		coefMin = 0.9;
		coefMax = 4;
	 };
	
	 class Lighthouse 
         {
		icon = "\ca\ui\data\map_lighthouse_ca.paa";
		color[] = {0.78, 0, 0.05, 1};
		size = 20;
		importance = 3 * 16 * 0.05;
		coefMin = 0.9;
		coefMax = 4;
	 };
	
	 class Quay 
         {
		icon = "\ca\ui\data\map_quay_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 2 * 16 * 0.05;
		coefMin = 0.5;
		coefMax = 4;
	 };
	
	 class Rock 
         {
		icon = "\ca\ui\data\map_rock_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 12;
		importance = 0.5 * 12 * 0.05;
		coefMin = 0.25;
		coefMax = 4;
	 };
	
	 class Ruin 
         {
		icon = "\ca\ui\data\map_ruin_ca.paa";
		color[] = {0.78, 0, 0.05, 1};
		size = 16;
		importance = 1.2 * 16 * 0.05;
		coefMin = 1;
		coefMax = 4;
	 };
	
	 class SmallTree 
         {
		icon = "\ca\ui\data\map_smalltree_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 0.6 * 12 * 0.05;
		coefMin = 0.25;
		coefMax = 4;
	 };
	
	 class Stack 
         {
		icon = "\ca\ui\data\map_stack_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 20;
		importance = 2 * 16 * 0.05;
		coefMin = 0.9;
		coefMax = 4;
	 };
	
	 class Tree 
         {
		icon = "\ca\ui\data\map_tree_ca.paa";
		color[] = {0.55, 0.64, 0.43, 1};
		size = 16;
		importance = 0.9 * 16 * 0.05;
		coefMin = 0.25;
		coefMax = 4;	
	 };
	
	 class Tourism 
         {
		icon = "\ca\ui\data\map_tourism_ca.paa";
		color[] = {0.78, 0, 0.05, 1};
		size = 16;
		importance = 1 * 16 * 0.05;
		coefMin = 0.7;
		coefMax = 4;
	 };
	
	 class Transmitter 
         {
		icon = "\ca\ui\data\map_transmitter_ca.paa";
		size = 20;
		color[] = {0, 0.35, 0.7, 1};
		importance = 2 * 16 * 0.05;
		coefMin = 0.9;
		coefMax = 4;
	 };
	
	 class ViewTower 
         {
		icon = "\ca\ui\data\map_viewtower_ca.paa";
		size = 16;
		color[] = {0, 0.35, 0.7, 1};
		importance = 2.5 * 16 * 0.05;
		coefMin = 0.5;
		coefMax = 4;
	 };
	
	 class Watertower 
         {
		icon = "\ca\ui\data\map_watertower_ca.paa";
		color[] = {0, 0.35, 0.7, 1};
		size = 32;
		importance = 1.2 * 16 * 0.05;
		coefMin = 0.9;
		coefMax = 4;
	 };
	 class Waypoint 
         {
		icon = "\ca\ui\data\map_waypoint_ca.paa";
		size = 16;
		color[] = {0, 0.35, 0.7, 1};
		importance = 2.5 * 16 * 0.05;
		coefMin = 0.5;
		coefMax = 4;		
         };
	
         class WaypointCompleted 
         {
		icon = "\ca\ui\data\map_waypoint_completed_ca.paa";
		size = 16;
		color[] = {0, 0.35, 0.7, 1};
		importance = 2.5 * 16 * 0.05;
		coefMin = 0.5;
		coefMax = 4;		
	 };	
      };
   };
};