/* 
 ofpec_open_airfieldselector.sqf v1.0
 August 2007 Mandoble 
*/

if (isNil "ofpec_AirportEvents") then
{
   ofpec_AirportEvents = compile (preprocessFileLineNumbers "ofpec_ils\ofpec_AirportEvents.sqf");

   hint "OFPEC ILS symbology:\nVertical and horizontal bars point to the current landing waypoint. If vertical is bright green your heading is correct, if horizontal is bright green, your nose angle is correct. Try to form a cross with its center located at ILS HUD's center for an accurate aproach.\n\nThe square and the circle may help you to align with the landing waypoint from the correct direction. The circle is between the current landing waypoint and the next one, the current landing waypoint is between the circle and the square, so if you head first towards the square, and then turn to align with the cross bars, you will end already aligned with the next landing waypoint, with the cross bars center close to the circle.";
};

if (isNil "ClosestTown") then
{
   ClosestTown = compile (preprocessFileLineNumbers "ofpec_ils\FuncfindClosestTown.sqf");
};

if (isNil "ofpec_m_to_km") then
{
   ofpec_m_to_km = {((_this / 100) - (_this / 100)%1)/10};
};

ofpec_airfielselector_vehicle = _this select 0;
ofpec_airfielselector_action = _this select 2;
_ok = createDialog "OFPEC_AirPortSelector";